using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections;
using System.Data.SqlClient;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        //RadGrid1.MasterTableView.FilterExpression = "";
        RadGrid1.Rebind();
    }
    protected void RadGrid1_PreRender(object sender, System.EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            RadGrid1.MasterTableView.FilterExpression = "([Title] LIKE \'%Manager%\') ";
            GridColumn column = RadGrid1.MasterTableView.GetColumnSafe("Title");
            column.CurrentFilterFunction = GridKnownFunction.Contains;
            column.CurrentFilterValue = "Manager";
            RadGrid1.MasterTableView.Rebind();
        }
    } 
}


